/*
  Copyright (C) MOXA Inc. All rights reserved.
  This software is distributed under the terms of the
  MOXA License.  See the file COPYING-MOXA for details.
*/
#ifndef _MXHTSPD_H_
#define _MXHTSPD_H_

#define SLEEP_TIME 100 
#define TIME_BTN_LONG_PRESSED 5000
#define TIME_CHECK_PARTITION 10000
#define LINE_MAX 100

typedef struct _disk_info {
	int plugged;
	int btn_last_pressed;	/* check the last time if button is pressed */
	int btn_swtich_pressed;	/* if button swith its status from unpressed to pressed */
	int btn_time_accum;
	int led_on;
} disk_info;

typedef struct _check_list {
	char* partition_name;
	int used_percent;
} check_list;


#ifdef __cplusplus
extern "C" {
#endif

#ifdef WIN32
#include <stdio.h>
#include <windows.h>
#endif


#ifdef __cplusplus
}
#endif

#endif /* _MXHTSP_H_ */
